/*
*  Name:      query.hh
*  Author:    Francisco Vides Fernandez
*  Summary:   Definition of a general sql query template
*  Date:      $Date: 2001/02/15 15:11:20 $
*  Revision:  $Revision: 1.2 $
*
*  Copyright (C) 1996-2000  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _QUERY__
#define _QUERY__

#ifdef _BACKEND_ODBC_3_X___
# include "query.odbc-3.x.hh"
#elif  _BACKEND_ORACLE_OCI_7_X__
# include "query.oracle-oci-7.x.hh"
#elif  _BACKEND_POSTGRESQL_LIBPQ_6_2_X__
# include "query.postgresql-libpq-6.2.x.hh"
#else   
# error   "There was no included target"
#endif  // not _BACKEND_ODBC_3_X___

#endif  // not _QUERY__
